## emacs-helm-ag 0.59

=== Makefile ===
.PHONY : test

EMACS ?= emacs
CASK ?= cask

LOADPATH = -L .

ELPA_DIR = $(shell EMACS=$(EMACS) $(CASK) package-directory)

test: elpa
	$(CASK) exec $(EMACS) -Q -batch $(LOADPATH) \
		-l test/test-util.el \
		-f ert-run-tests-batch-and-exit

elpa: $(ELPA_DIR)
$(ELPA_DIR): Cask
	$(CASK) install
	touch $@

## emacs-helm-ag 0.58

=== debian/changelog ===
emacs-helm-ag (0.58-1) unstable; urgency=medium

  * Initial release (Closes: #879775).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 25 Nov 2017 12:29:32 -0700

=== debian/control ===
Source: emacs-helm-ag
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper (>= 10),
 dh-elpa,
 elpa-helm,
 silversearcher-ag,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-helm-ag.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-helm-ag.git
Homepage: https://github.com/syohex/emacs-helm-ag
Testsuite: autopkgtest-pkg-elpa

Package: elpa-helm-ag
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, silversearcher-ag | ack
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Description: Silver Searcher integration with Emacs Helm
 This library provides an interface to the Silver Searcher for Emacs Helm.
 .
 Other programs, such as the platinum searcher ack, may also be used
 with this library.

## emacs-helm-ag 0.59

=== debian/changelog ===
emacs-helm-ag (0.59-4) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances (package does not exist in bullseye).

  [ Sean Whitton ]
  * Orphan package.
  * Run 'wrap-and-sort -ast'.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Apr 2025 15:20:28 +0800

emacs-helm-ag (0.59-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:26:46 +0900

emacs-helm-ag (0.59-2) unstable; urgency=medium

  * Team upload.
  * d/elpa-test: Disable native compilation of trampolines due to
    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61880.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Wed, 01 Mar 2023 08:58:29 -0500

emacs-helm-ag (0.59-1) unstable; urgency=medium

  [ David Krauser ]
  * Update maintainer email address

  [ Dhavan Vaidya ]
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org

  [ Sean Whitton ]
  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 May 2020 16:38:17 -0700

emacs-helm-ag (0.58-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Fri, 30 Aug 2019 08:23:11 -0300

=== debian/control ===
Source: emacs-helm-ag
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-elpa,
 elpa-helm,
 silversearcher-ag,
Standards-Version: 4.1.1
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-helm-ag
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-helm-ag.git
Homepage: https://github.com/syohex/emacs-helm-ag
Testsuite: autopkgtest-pkg-elpa

Package: elpa-helm-ag
Architecture: all
Depends:
 silversearcher-ag | ack,
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs (>= 46.0),
Enhances:
 emacs,
Description: Silver Searcher integration with Emacs Helm
 This library provides an interface to the Silver Searcher for Emacs Helm.
 .
 Other programs, such as the platinum searcher ack, may also be used
 with this library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:

override_dh_installchangelogs:
	dh_installchangelogs Changes
